Subject: bug#10489: 24.0.92; dired-do-copy may create infinite directory hierarchy

From: Thierry Volpiatto <[email-masked]>
Date: Mon, 27 Feb 2012 11:40:40 +0100

Michael Albinus <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>>> Btw, it might be useful if you could add documentation about
>>> `files-equal-p' and `file-subdir-of-p' in doc/lispref/files.texi.
>> I will have a look.
>
> Thanks.
>
> The implementation of `files-equal-p' returns t, if both FILE1 and FILE2
> do not exist. Either it is a bug, or it must be documented.
>
> Best regards, Michael.
To finish this thread, I would like to say I am not happy with the last
changes made to file-subdir-of-p by Chong Yidong without ANY
notifications.
Even after discussion about CL integration in Emacs, it seem it is not
for tomorrow.
i.e what is your problem with loop?

You will see that files.el contain this code at beginning of file:

(eval-when-compile (require 'cl))
 
-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997